GET /v3/snapshot/options/{underlyingAsset}

Options Chain Snapshot

Snapshot of the full options chain for an underlying ticker.

Endpoint Details

HTTP Method GET
Path /v3/snapshot/options/{underlyingAsset}
Version v3
Minimum Plan free

Path Parameters

Parameter Required Description Example
underlyingAsset Required The underlying asset ticker (e.g., AAPL for options) AAPL

Query Parameters

Parameter Type Required Description
api_key string Required Your API key for authentication
limit integer Optional Maximum number of results to return
sort string Optional Sort order (asc or desc)

Example Request

curl "https://mail.tradeiqai.com/api/v3/snapshot/options/AAPL?api_key=YOUR_API_KEY"

Note: Replace YOUR_API_KEY with your actual API key.

Response Attributes

Attribute Type Description
okbooleanIndicates if the request was successful (e.g., 1)
dataobjectResponse data object
data.statusstringResponse status (typically "OK") (e.g., OK)
data.resultsobjectArray or object containing the endpoint-specific data
data.results.resultsarrayArray of objects
Array items contain:
data.results.results[].break_even_pricedoubleFloating point number (e.g., 342.875)
data.results.results[].dayobject
data.results.results[].day.propertiesunknown
data.results.results[].detailsobject
data.results.results[].details.propertiesunknown
data.results.results[].greeksarrayEmpty array
data.results.results[].last_quoteobject
data.results.results[].last_quote.propertiesunknown
data.results.results[].last_tradeobject
data.results.results[].last_trade.propertiesunknown
data.results.results[].open_interestintegerInteger (e.g., 71)
data.results.results[].underlying_assetobject
data.results.results[].underlying_asset.propertiesunknown
data.results.statusstringString value (e.g., OK)
data.results.request_idstringString value (e.g., ecf2af9a0a3b7133ded77ba40ea65477)
data.results.next_urlstringString value (e.g., https://api.tradeiqai.com/v3/snapshot/options/AAPL...)

Example Response

{
    "ok": true,
    "data": {
        "status": "OK",
        "underlying_asset": "AAPL",
        "results": {
            "results": [
                {
                    "break_even_price": 342.875,
                    "day": {
                        "change": 3.479999999999999982236431605997495353221893310546875,
                        "change_percent": 3.56599999999999983657517077517695724964141845703125,
                        "close": 101.06999999999999317878973670303821563720703125,
                        "high": 101.06999999999999317878973670303821563720703125,
                        "last_updated": 1791988502393000000,
                        "low": 101.06999999999999317878973670303821563720703125,
                        "open": 101.06999999999999317878973670303821563720703125,
                        "previous_close": 97.590000000000003410605131648480892181396484375,
                        "volume": 1,
                        "vwap": 101.06999999999999317878973670303821563720703125
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 245,
                        "ticker": "O:AAPL261014C00245000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 99.650000000000005684341886080801486968994140625,
                        "ask_size": 48,
                        "ask_exchange": 318,
                        "bid": 96.099999999999994315658113919198513031005859375,
                        "bid_size": 183,
                        "bid_exchange": 307,
                        "last_updated": 1792007995341883820,
                        "midpoint": 97.875,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791988463903404991,
                        "conditions": [
                            233
                        ],
                        "price": 101.06999999999999317878973670303821563720703125,
                        "size": 1,
                        "exchange": 308,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 71,
                    "underlying_asset": {
                        "change_to_break_even": -0.195000000000000006661338147750939242541790008544921875,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 342.875,
                    "day": {
                        "change": 3.770000000000000017763568394002504646778106689453125,
                        "change_percent": 4.08100000000000040500935938325710594654083251953125,
                        "close": 96.1400000000000005684341886080801486968994140625,
                        "high": 96.1400000000000005684341886080801486968994140625,
                        "last_updated": 1791988502300000000,
                        "low": 95.18999999999999772626324556767940521240234375,
                        "open": 95.18999999999999772626324556767940521240234375,
                        "previous_close": 92.3700000000000045474735088646411895751953125,
                        "volume": 2,
                        "vwap": 95.6650000000000062527760746888816356658935546875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 250,
                        "ticker": "O:AAPL261014C00250000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 94.650000000000005684341886080801486968994140625,
                        "ask_size": 33,
                        "ask_exchange": 318,
                        "bid": 91.099999999999994315658113919198513031005859375,
                        "bid_size": 132,
                        "bid_exchange": 323,
                        "last_updated": 1792007994057942534,
                        "midpoint": 92.875,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791988463903404991,
                        "conditions": [
                            233
                        ],
                        "price": 96.1400000000000005684341886080801486968994140625,
                        "size": 1,
                        "exchange": 308,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 37,
                    "underlying_asset": {
                        "change_to_break_even": -0.195000000000000006661338147750939242541790008544921875,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 342.875,
                    "day": {
                        "change": 2.399999999999999911182158029987476766109466552734375,
                        "change_percent": 2.74800000000000022026824808563105762004852294921875,
                        "close": 89.7399999999999948840923025272786617279052734375,
                        "high": 90.75,
                        "last_updated": 1791996722223000000,
                        "low": 89.7399999999999948840923025272786617279052734375,
                        "open": 90.2600000000000051159076974727213382720947265625,
                        "previous_close": 87.340000000000003410605131648480892181396484375,
                        "volume": 23,
                        "vwap": 90.193500000000000227373675443232059478759765625
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 255,
                        "ticker": "O:AAPL261014C00255000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 89.650000000000005684341886080801486968994140625,
                        "ask_size": 10,
                        "ask_exchange": 315,
                        "bid": 86.099999999999994315658113919198513031005859375,
                        "bid_size": 161,
                        "bid_exchange": 312,
                        "last_updated": 1792007998014382366,
                        "midpoint": 87.875,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791996687329793958,
                        "conditions": [
                            233
                        ],
                        "price": 89.7399999999999948840923025272786617279052734375,
                        "size": 2,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 5,
                    "underlying_asset": {
                        "change_to_break_even": -0.195000000000000006661338147750939242541790008544921875,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 342.8999999999999772626324556767940521240234375,
                    "day": {
                        "change": -0.08000000000000000166533453693773481063544750213623046875,
                        "change_percent": -0.0965000000000000024424906541753443889319896697998046875,
                        "close": 82.81999999999999317878973670303821563720703125,
                        "high": 86,
                        "last_updated": 1792004702268000000,
                        "low": 82.31999999999999317878973670303821563720703125,
                        "open": 85.650000000000005684341886080801486968994140625,
                        "previous_close": 82.900000000000005684341886080801486968994140625,
                        "volume": 89,
                        "vwap": 85.3379000000000047521098167635500431060791015625
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 260,
                        "ticker": "O:AAPL261014C00260000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 84.7000000000000028421709430404007434844970703125,
                        "ask_size": 45,
                        "ask_exchange": 325,
                        "bid": 81.099999999999994315658113919198513031005859375,
                        "bid_size": 193,
                        "bid_exchange": 302,
                        "last_updated": 1792007999966262141,
                        "midpoint": 82.900000000000005684341886080801486968994140625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1792004651031559970,
                        "conditions": [
                            233
                        ],
                        "price": 82.81999999999999317878973670303821563720703125,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 4,
                    "underlying_asset": {
                        "change_to_break_even": -0.1700000000000000122124532708767219446599483489990234375,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 342.8999999999999772626324556767940521240234375,
                    "day": {
                        "change": -0.1499999999999999944488848768742172978818416595458984375,
                        "change_percent": -0.192000000000000003996802888650563545525074005126953125,
                        "close": 77.81999999999999317878973670303821563720703125,
                        "high": 81.0499999999999971578290569595992565155029296875,
                        "last_updated": 1792004702233000000,
                        "low": 77.3900000000000005684341886080801486968994140625,
                        "open": 80.0199999999999960209606797434389591217041015625,
                        "previous_close": 77.969999999999998863131622783839702606201171875,
                        "volume": 70,
                        "vwap": 80.393900000000002137312549166381359100341796875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 265,
                        "ticker": "O:AAPL261014C00265000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 79.7000000000000028421709430404007434844970703125,
                        "ask_size": 60,
                        "ask_exchange": 320,
                        "bid": 76.099999999999994315658113919198513031005859375,
                        "bid_size": 55,
                        "bid_exchange": 320,
                        "last_updated": 1792007993569965332,
                        "midpoint": 77.900000000000005684341886080801486968994140625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1792004651031559970,
                        "conditions": [
                            233
                        ],
                        "price": 77.81999999999999317878973670303821563720703125,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 7,
                    "underlying_asset": {
                        "change_to_break_even": -0.1700000000000000122124532708767219446599483489990234375,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 342.875,
                    "day": {
                        "change": -0.040000000000000000832667268468867405317723751068115234375,
                        "change_percent": -0.05530000000000000193178806284777238033711910247802734375,
                        "close": 72.3299999999999982946974341757595539093017578125,
                        "high": 75.780000000000001136868377216160297393798828125,
                        "last_updated": 1792001702180000000,
                        "low": 72.2399999999999948840923025272786617279052734375,
                        "open": 74.8799999999999954525264911353588104248046875,
                        "previous_close": 72.3700000000000045474735088646411895751953125,
                        "volume": 21,
                        "vwap": 75.0366999999999961801222525537014007568359375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 270,
                        "ticker": "O:AAPL261014C00270000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 74.650000000000005684341886080801486968994140625,
                        "ask_size": 34,
                        "ask_exchange": 320,
                        "bid": 71.099999999999994315658113919198513031005859375,
                        "bid_size": 62,
                        "bid_exchange": 320,
                        "last_updated": 1792007993569860574,
                        "midpoint": 72.875,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1792001680564605692,
                        "conditions": [
                            233
                        ],
                        "price": 72.3299999999999982946974341757595539093017578125,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 6,
                    "underlying_asset": {
                        "change_to_break_even": -0.195000000000000006661338147750939242541790008544921875,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 342.8999999999999772626324556767940521240234375,
                    "day": {
                        "change": -0.25,
                        "change_percent": -0.36999999999999999555910790149937383830547332763671875,
                        "close": 67.340000000000003410605131648480892181396484375,
                        "high": 71.3599999999999994315658113919198513031005859375,
                        "last_updated": 1792001702107000000,
                        "low": 67.31000000000000227373675443232059478759765625,
                        "open": 70.280000000000001136868377216160297393798828125,
                        "previous_close": 67.590000000000003410605131648480892181396484375,
                        "volume": 18,
                        "vwap": 70.052199999999999135980033315718173980712890625
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 275,
                        "ticker": "O:AAPL261014C00275000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 69.7000000000000028421709430404007434844970703125,
                        "ask_size": 37,
                        "ask_exchange": 318,
                        "bid": 66.099999999999994315658113919198513031005859375,
                        "bid_size": 25,
                        "bid_exchange": 320,
                        "last_updated": 1792007993961076978,
                        "midpoint": 67.900000000000005684341886080801486968994140625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1792001680564610449,
                        "conditions": [
                            233
                        ],
                        "price": 67.340000000000003410605131648480892181396484375,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 6,
                    "underlying_asset": {
                        "change_to_break_even": -0.1700000000000000122124532708767219446599483489990234375,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 342.9750000000000227373675443232059478759765625,
                    "day": {
                        "change": 0.8000000000000000444089209850062616169452667236328125,
                        "change_percent": 1.278000000000000024868995751603506505489349365234375,
                        "close": 63.39999999999999857891452847979962825775146484375,
                        "high": 66.530000000000001136868377216160297393798828125,
                        "last_updated": 1792007402208000000,
                        "low": 63.06000000000000227373675443232059478759765625,
                        "open": 65.349999999999994315658113919198513031005859375,
                        "previous_close": 62.60000000000000142108547152020037174224853515625,
                        "volume": 35,
                        "vwap": 64.3856999999999999317878973670303821563720703125
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 280,
                        "ticker": "O:AAPL261014C00280000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 64.5,
                        "ask_size": 37,
                        "ask_exchange": 318,
                        "bid": 61.4500000000000028421709430404007434844970703125,
                        "bid_size": 186,
                        "bid_exchange": 302,
                        "last_updated": 1792007999957042019,
                        "midpoint": 62.97500000000000142108547152020037174224853515625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1792007373931545292,
                        "conditions": [
                            209
                        ],
                        "price": 63.39999999999999857891452847979962825775146484375,
                        "size": 3,
                        "exchange": 313,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 21,
                    "underlying_asset": {
                        "change_to_break_even": -0.0947999999999999953814722175593487918376922607421875,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 343,
                    "day": {
                        "change": 2.220000000000000195399252334027551114559173583984375,
                        "change_percent": 3.861000000000000209610107049229554831981658935546875,
                        "close": 59.719999999999998863131622783839702606201171875,
                        "high": 61.60000000000000142108547152020037174224853515625,
                        "last_updated": 1791995102286000000,
                        "low": 59.719999999999998863131622783839702606201171875,
                        "open": 59.96000000000000085265128291212022304534912109375,
                        "previous_close": 57.5,
                        "volume": 23,
                        "vwap": 60.51610000000000155750967678613960742950439453125
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 285,
                        "ticker": "O:AAPL261014C00285000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 59.89999999999999857891452847979962825775146484375,
                        "ask_size": 10,
                        "ask_exchange": 313,
                        "bid": 56.10000000000000142108547152020037174224853515625,
                        "bid_size": 140,
                        "bid_exchange": 307,
                        "last_updated": 1792007998196693016,
                        "midpoint": 58,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791995082204894808,
                        "conditions": [
                            233
                        ],
                        "price": 59.719999999999998863131622783839702606201171875,
                        "size": 1,
                        "exchange": 300,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 8,
                    "underlying_asset": {
                        "change_to_break_even": -0.0698000000000000009325873406851314939558506011962890625,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 342.8999999999999772626324556767940521240234375,
                    "day": {
                        "change": 1.850000000000000088817841970012523233890533447265625,
                        "change_percent": 3.584000000000000074606987254810519516468048095703125,
                        "close": 53.469999999999998863131622783839702606201171875,
                        "high": 56.24000000000000198951966012828052043914794921875,
                        "last_updated": 1791998462186000000,
                        "low": 53.469999999999998863131622783839702606201171875,
                        "open": 55.030000000000001136868377216160297393798828125,
                        "previous_close": 51.61999999999999744204615126363933086395263671875,
                        "volume": 30,
                        "vwap": 55.40100000000000335376171278767287731170654296875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 290,
                        "ticker": "O:AAPL261014C00290000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 54.64999999999999857891452847979962825775146484375,
                        "ask_size": 53,
                        "ask_exchange": 318,
                        "bid": 51.14999999999999857891452847979962825775146484375,
                        "bid_size": 162,
                        "bid_exchange": 307,
                        "last_updated": 1792007999038492616,
                        "midpoint": 52.89999999999999857891452847979962825775146484375,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791998454885413385,
                        "conditions": [
                            233
                        ],
                        "price": 53.469999999999998863131622783839702606201171875,
                        "size": 1,
                        "exchange": 308,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 20,
                    "underlying_asset": {
                        "change_to_break_even": -0.1700000000000000122124532708767219446599483489990234375,
                        "last_updated": 1792015396702345196,
                        "price": 343.069799999999986539478413760662078857421875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                }
            ],
            "status": "OK",
            "request_id": "ecf2af9a0a3b7133ded77ba40ea65477",
            "next_url": "https://api.tradeiqai.com/v3/snapshot/options/AAPL?cursor=YXA9TyUzQUFBUEwyNjEwMTRDMDAyOTAwMDAlM0EyOTAuMDAmYXM9JmV4cGlyYXRpb25fZGF0ZS5ndGU9MjAyNi0xMC0xNCZsaW1pdD0xMCZzb3J0PXRpY2tlcg"
        }
    }
}